
Figure - Bug #113293
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111051 (New): AF-V2.0-Launcher/SystemUI-通知中心

【AF】【EVT】【通知中心】同一应用的多条通知，首次进入通知中心时可以点击应用通知标题收起展开，
第二次进入时点击该应用通知标题无法收起下面的通知
2022-10-28 18:40 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-28

Priority: High Due date: 2022-11-21

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0022.X101

Reproducibility: Every time Fixed Version: 2022-11-22

Test Type: IT Root cause: 隐藏通知功能编码问题，遗留通知组的更新

Description

【前提条件】

1、设备已开机

2、已安装通知测试app

【测试步骤】

1、打开通知测试app，模拟发送5条通知

2、进入通知中心，展开隐藏通知

3、点击应用通知标题旁边的按钮对信息进行收起展开

4、上划退出通知中心

5、再次进入通知中心，展开隐藏通知

【预期结果】

5、通知呈收起状态

【实际结果】

5、所有通知一一排列，点击应用通知标题无法收起下面的通知

【复现率】

5/5

History

#1 - 2022-11-02 14:05 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V3.0_update_20221130

#2 - 2022-11-09 18:08 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- % Done changed from 0 to 10

#3 - 2022-11-16 16:27 - CDTS_TEST 王成

- Priority changed from Normal to High

#4 - 2022-11-16 17:08 - CDTS_TEST 王成

- Severity changed from Normal to Major
#5 - 2022-11-16 17:37 - CDTS_TEST 王成

- Severity changed from Major to Critical

#6 - 2022-11-16 18:26 - CDTS-TEST 周婷

- Due date set to 2022-11-21

#7 - 2022-11-21 14:52 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 10 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-22

- Root cause set to 隐藏通知功能编码问题，遗留通知组的更新

代码已入库

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/164141

Hi 永红

请不要使用你们的通知测试应用一瞬间发布20条以上的通知，原因如下

1.你们自制的通知测试应用，自身设计存在问题，大量的通知在0.1秒内被发送。这与通知的使用规则相违背，不符合原生的设计，也是不存在的用户使

用场景

2.我在原生的平板上测试过你们的通知测试应用，当瞬间发送超过20条以上的通知。会造成通知丢失，通知组显示异常，卡顿等问题。

3.当需要测试大数量通知时，可以模拟正常使用情况下的连续发送通知来实现，例如通过飞书短时间接受大量通知

请知悉

#8 - 2022-11-22 11:22 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0022.X101

11.22

根据研发同事提供的测试方法

现在设备接受到通知时能够正确计数，并且不存在

“同一应用的多条通知，首次进入通知中心时可以点击应用通知标题收起展开，第二次进入时点击该应用通知标题无法收起下面的通知”

的情况

验证通过

#9 - 2022-11-22 11:22 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-10-28 18-18-06.mp4 29.9 MB 2022-10-28 CD TEST-方永红

1817.txt 7.47 MB 2022-10-28 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/164141

